//
//  MPPositive_SearchTagCollectionViewCell.swift
//  MusicPlayer
//
//  Created by Mr.Zhou on 2024/5/29.
//

import UIKit

class MPPositive_SearchTagCollectionViewCell: UICollectionViewCell {
    //标题label
    private lazy var titleLabel:UILabel = createLabel("Title", font: .systemFont(ofSize: 12*width, weight: .medium), textColor: .white, textAlignment: .center)
    override init(frame: CGRect) {
        super.init(frame: frame)
        backgroundColor = .init(hex: "#1F1F1F")
        layer.masksToBounds = true
        layer.cornerRadius = 10*width
        confirgue()
    }
    
    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }
    //配置
    private func confirgue() {
        addSubview(titleLabel)
        titleLabel.snp.makeConstraints { make in
            make.center.equalToSuperview()
            make.left.equalToSuperview().offset(12*width)
        }
    }
    func setText(_ text:String) {
        titleLabel.text = text
    }
}
